ByCloud Docs
GuidesCLIAPISDK
get/v1/audit-logs/{log_id}

Get audit log entry

Get a specific audit log entry by ID. Requires `audit:GetLog` permission.

Path Parameters

log_id

string<uuid>required

path

Audit log entry ID

Responses

200

Audit log entry details

Content-Type: application/json

audit_log

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/audit-logs/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Audit log entry details

{
"audit_log": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2024-01-15T10:30:00Z",
"actor_id": "550e8400-e29b-41d4-a716-446655440000",
"actor_type": "user",
"actor_name": "string",
"actor_email": "string",
"organization_id": "550e8400-e29b-41d4-a716-446655440000",
"action": "iam.policy.create",
"status": "success",
"resource_type": "instance",
"resource_id": "string",
"resource_name": "string",
"ip_address": "192.168.1.100",
"user_agent": "string",
"request_id": "string",
"details": {},
"error_code": "string",
"error_message": "string"
}
}